//    Copyright (C) 2004 Michael Mahr

//    This file is part of "lesschess".
//
//    "lesschess" is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    "lesschess" is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with "lesschess"; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#include "chesspiece.h"

Chesspiece::Chesspiece (bool _white, int _value, int _x, int _y)
{
  white=_white;
  value=_value;
  x = _x;
  y = _y;
}

Chesspiece::~Chesspiece()
{}

int Chesspiece::getx()
{
  return x;
}

int Chesspiece::gety()
{
  return y;
}

void Chesspiece::moveto(int _x, int _y)
{
  x=_x;
  y=_y;
}

int Chesspiece::getvalue()
{
  return value;
}

bool Chesspiece::getwhite()
{
  return white;
}

void Chesspiece::hitmove(int _x, int _y)
{
  x=_x;
  y=_y;
}

void Chesspiece::draw()
{
}

