//    Copyright (C) 2004 Michael Mahr

//    This file is part of "lesschess".
//
//    "lesschess" is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    "lesschess" is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with "lesschess"; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef __sps2chesspiece__
#define __sps2chesspiece__

#include "sps2ascmodel.h"
#include "chesspiece.h"

//storing the model-data in here is not very good - better would be a class in between, which converts the model to verticlestrips.
//however I do not have the time to do that... - should be fast enough for most boxes tough.

class SPS2Chesspiece: public Chesspiece
{
private:
  float currentx; //for the "slide"-effect
  float currenty; //for the "slide"-effect

  SPS2AscModel * glasc;

public:
  SPS2Chesspiece (bool _white, int _value, int _x, int _y);
  ~SPS2Chesspiece(); //Destruktor
  void draw();
};


#endif
